JUCE: AudioDeviceManager::LevelMeter Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
AudioDeviceManager::LevelMeter Struct Reference
juce_audio_devices » audio_io

A simple reference-counted struct that holds a level-meter value that can be read using getCurrentLevel(). More...

`#include <juce_AudioDeviceManager.h>`

Inheritance diagram for AudioDeviceManager::LevelMeter:

## Public Types
using | Ptr = ReferenceCountedObjectPtr<LevelMeter>

## Public Member Functions
| LevelMeter () noexcept
double | getCurrentLevel () const noexcept
Public Member Functions inherited from ReferenceCountedObject
void | incReferenceCount () noexcept
| Increments the object's reference count.
void | decReferenceCount () noexcept
| Decreases the object's reference count.
bool | decReferenceCountWithoutDeleting () noexcept
| Decreases the object's reference count.
int | getReferenceCount () const noexcept
| Returns the object's current reference count.

## Additional Inherited Members
Protected Member Functions inherited from ReferenceCountedObject
| ReferenceCountedObject ()=default
| Creates the reference-counted object (with an initial ref count of zero).
| ReferenceCountedObject (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count.
| ReferenceCountedObject (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count.
ReferenceCountedObject & | operator= (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count.
ReferenceCountedObject & | operator= (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count.
virtual | ~ReferenceCountedObject ()
| Destructor.
void | resetReferenceCount () noexcept
| Resets the reference count to zero without deleting the object.

## Detailed Description

A simple reference-counted struct that holds a level-meter value that can be read using getCurrentLevel().

This is used to ensure that the level processing code is only executed when something holds a reference to one of these objects and will be bypassed otherwise.

See also
  getInputLevelGetter, getOutputLevelGetter

## Member Typedef Documentation

## ◆ Ptr

using AudioDeviceManager::LevelMeter::Ptr = ReferenceCountedObjectPtr<LevelMeter>

## Constructor & Destructor Documentation

## ◆ LevelMeter()

AudioDeviceManager::LevelMeter::LevelMeter | ( |  | ) |
| noexcept

## Member Function Documentation

## ◆ getCurrentLevel()

double AudioDeviceManager::LevelMeter::getCurrentLevel | ( |  | ) | const
| noexcept

The documentation for this struct was generated from the following file:

- juce_AudioDeviceManager.h